Bug 239883 - Review Request: powertop - power usage tool
Summary: Review Request: powertop - power usage tool
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-11 21:38 UTC by Adam Jackson
Modified: 2014-03-17 03:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 01:44:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
notting: fedora-review+


Attachments (Terms of Use)

Description Adam Jackson 2007-05-11 21:38:44 UTC
Spec URL: http://people.redhat.com/ajackson/powertop.spec
SRPM URL: http://people.redhat.com/ajackson/powertop-1.0-1.src.rpm

Description: powertop is a tool that monitors kernel wakeups and accounts them to userspace processes.  You can use this information to find out why your CPU isn't able to go to sleep, and therefore why your battery life is so bad.

Comment 1 Jeroen van Meeuwen 2007-05-11 22:01:46 UTC
Checked against http://fedoraproject.org/wiki/Packaging/ReviewGuidelines, and OK
for all MUST points.

Detail from rpmlint:

- rpmlint powertop-1.0-1.fc7.i386.rpm:
  W: powertop no-documentation


Comment 2 Adam Jackson 2007-05-11 23:59:13 UTC
Yeah, there's no documentation yet.  Once there is I'll be happy to add it, but
for now it's just "run me and find what's broken".

Comment 3 Bill Nottingham 2007-05-12 00:16:18 UTC
MUST items:
 - Package meets naming and packaging guidelines - OK
 - Spec file matches base package name. - OK
 - Spec has consistant macro usage. - OK
 - Meets Packaging Guidelines. - OK
 - License - OK
 - License field in spec matches - OK
 - License file included in package - ***
  *** should include COPYING in doc

 - Spec in American English - OK
 - Spec is legible. - OK
 - Sources match upstream md5sum: - OK

 - Package needs ExcludeArch - N/A
 - BuildRequires correct - OK
 - Spec handles locales/find_lang - N/A
 - Package is relocatable and has a reason to be. - N/A
 - Package has %defattr and permissions on files is good. - OK
 - Package has a correct %clean section. - OK
 - Package has correct buildroot  - OK
 - Package is code or permissible content. - OK
 - Doc subpackage needed/used. - N/A
 - Packages %doc files don't affect runtime. - N/A

 - Headers/static libs in -devel subpackage. - N/A
 - Spec has needed ldconfig in post and postun  - N/A
 - .pc files in -devel subpackage/requires pkgconfig - N/A
 - .so files in -devel subpackage. - N/A
 - -devel package Requires: %{name} = %{version}-%{release}  - N/A
 - .la files are removed. - N/A

 - Package is a GUI app and has a .desktop file - N/A

 - Package compiles and builds on at least one arch. - OK
 - Package has no duplicate files in %files. - OK
 - Package doesn't own any directories other packages own. - OK
 - Package owns all the directories it creates. - OK
 - No rpmlint output. - see above
 - final provides and requires are sane: - OK

SHOULD Items:

 - Should build in mock. - didn't test
 - Should build on all supported archs - tested on i386
 - Should function as described. - OK
 - Should have sane scriptlets. - N/A
 - Should have subpackages require base package with fully versioned depend. - N/A
 - Should have dist tag - OK
 - Should package latest version - OK

Other things noted - could use $RPM_OPT_FLAGS.

Comment 4 Adam Jackson 2007-05-12 00:31:09 UTC
Builds in mock for all rhel arches, btw.  Though I doubt it'll do anything
useful on s390x...

Updated spec and srpm in same place as before.  Added COPYING to %doc, patched
CFLAGS to be overridable by the build system and set it to equal RPM_OPT_FLAGS.

Comment 5 Bill Nottingham 2007-05-12 00:35:42 UTC
Seems OK to me. Approved.

Comment 6 Adam Jackson 2007-05-12 02:37:18 UTC
New Package CVS Request
=======================
Package Name: powertop
Short Description: Power consumption monitor
Owners: ajackson@redhat.com
Branches: 
InitialCC: 

Comment 7 Kevin Kofler 2007-05-13 00:57:06 UTC
Approved review tickets should be assigned to who actually approved the 
package. ;-)

Comment 9 Adam Jackson 2007-05-14 01:44:57 UTC
Imported and built for F7.

Comment 11 Jeremy West 2009-01-26 17:00:54 UTC
Package Change Request
======================
Package Name: powertop
New Branches: EL-4 EL-5
Owners: ajackson@redhat.com

Comment 12 Kevin Fenzi 2009-01-26 23:08:39 UTC
Ajax: did you want to maintain this in EPEL?
Does it work with the RHEL kernels?

Comment 13 Bill Nottingham 2009-01-27 01:56:33 UTC
(In reply to comment #12)
> Does it work with the RHEL kernels?

Not particularly well. No RHEL kernel is built with CONFIG_NO_HZ, which means the interrupt list will be dominated by the 'normal' timer interrupt.

Comment 14 Kevin Fenzi 2009-02-13 07:07:06 UTC
Jeremy: Ajax has no desire to maintain this for epel... would you like to do so?

Comment 15 Kevin Fenzi 2009-02-24 21:07:43 UTC
Jermey: I am going to clear the fedora-cvs flag. If you want to branch and maintain this yourself, feel free to note that here and reset the flag to ?


Note You need to log in before you can comment on or make changes to this bug.